<?php
require_once('functions.php');
require_once('config.php');

$userId  = '@me';
$groupId = (empty($_GET['groupId'])) ? '@self' : $_GET['groupId'];
$url = "https://api.mixi-platform.com/2/people/{$userId}/{$groupId}";

$accessToken = isset($_SESSION['access_token']) ? $_SESSION['access_token'] : '';

$headers = array(
	"Authorization: Bearer {$accessToken}",
);
$ch = curl_init();                              // init
curl_setopt($ch, CURLOPT_URL, $url);            // URLをセット
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers); // headerをセット
curl_setopt($ch, CURLOPT_HEADER, true);         // レスポンスheaderを取得
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); // 結果を文字列で取得
$res = curl_exec($ch);                          // 実行

list($resHeader, $resBody) = split("(\r\n){2}", $res);
$resCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
$resBody = json_decode($resBody, true);
curl_close($ch);                                // close

?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <title>はじめてのmixiアプリ</title>
    <script type="text/javascript" charset="UTF-8" src="http://static.mixi.jp/js/application/connect.js"></script>
  </head>
  <body>
    <div>
      <?=h( ($groupId == '@friends') ? '友人' : '自分' )?>の情報を取得
    </div>
    <div>
      <pre><?=h( print_r($resBody, true) )?></pre>
    </div>
    <? if($resCode != 200){ // エラーケース ?>
      <div>
        <?=h( 'response code:'.$resCode )?>
      </div>
      <div>
        <pre><?=h( $resHeader )?></pre>
      </div>
    <? } ?>
    <div>
      <a href="start.php">top</a>
    </div>
  </body>
</html>
