<?php
require_once('functions.php');
require_once('config.php');

$paymentHandlerUrl = 'http://'.APP_DOMAIN.'/payment-callback.php';

$inventoryCode = 123;
$itemId        = 123;
$isTest        = 'true';
$itemPrice     = 250;

$params = array(
	'callback_url'   => $paymentHandlerUrl,
	'inventory_code' => $inventoryCode,
	'is_test'        => $isTest,
	'item_id'        => $itemId,
	'item_price'     => $itemPrice,
);

$baseParams = array();
foreach($params as $key => $val){
	$baseParams[] = $key.'='.urlencode($val);
}
sort($baseParams);
$baseStr = urlencode(implode('&', $baseParams));

$key = RESTFUL_CONSUMER_SECRET . '&';
$signature = hash_hmac('sha1', $baseStr, $key, true);
$signature = base64_encode($signature);

?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <title>はじめてのmixiアプリ</title>
    <script type="text/javascript" charset="UTF-8" src="http://static.mixi.jp/js/application/connect.js"></script>
  </head>
  <body>
    <div>
      課金API
    </div>
    <div id="item"
      data-price="<?=h( $itemPrice )?>"
      data-name="itemName1"
      data-signature="<?=h( $signature )?>"
      data-id="<?=h( $itemId )?>"
      data-is-test="<?=h( $isTest )?>"
      data-inventory-code="<?=h( $inventoryCode )?>"
      data-payment-handler-url="<?=h( $paymentHandlerUrl )?>" ></div>
    <script>
      var item = document.getElementById('item');

      var params = {};
      params[opensocial.Payment.Field.AMOUNT]   = item.dataset.price;
      params[mixi.Payment.Field.ITEM_NAME]      = item.dataset.name;
      params[mixi.Payment.Field.SIGNATURE]      = item.dataset.signature;
      params[mixi.Payment.Field.ITEM_ID]        = item.dataset.id;
      params[mixi.Payment.Field.IS_TEST]        = item.dataset.isTest;
      params[mixi.Payment.Field.INVENTORY_CODE] = item.dataset.inventoryCode;
      params[opensocial.Payment.Field.PAYMENT_TYPE] = opensocial.Payment.PaymentType.PAYMENT;
      var payment = opensocial.newPayment(params);

      opensocial.requestPayment(
        payment,
        item.dataset.paymentHandlerUrl,
        function(response){
          var data;
          var code;
          var msg;

          if (response.hadError()){
            code = response.getErrorCode();
            msg = response.getErrorMessage();
            alert('code=' + code + ' msg=' + msg);
          }else{
            data = response.getData();
            // alert('ok. itemNmae=' + data.fields_.itemName);
          }
        }
      );
    </script>
    <br />
    <br />
    <div>
      <a href="start.php">top</a>
    </div>
  </body>
</html>
