<?php
require_once('OAuth.php');
require_once('functions.php');
require_once('config.php');

define('PUBLIC_KEY_PC_TOP', '-----BEGIN CERTIFICATE-----
MIIDNzCCAh+gAwIBAgIJANH20l9V3QyGMA0GCSqGSIb3DQEBBQUAMDIxCzAJBgNV
BAYTAkpQMREwDwYDVQQKDAhtaXhpIEluYzEQMA4GA1UEAwwHbWl4aS5qcDAeFw0x
MzExMDcwODQwMzhaFw0yMzExMDUwODQwMzhaMDIxCzAJBgNVBAYTAkpQMREwDwYD
VQQKDAhtaXhpIEluYzEQMA4GA1UEAwwHbWl4aS5qcDCCASIwDQYJKoZIhvcNAQEB
BQADggEPADCCAQoCggEBAMjrvmoMZdlxPbW86JO1VbIguv8ddAQV/+ZtjmanLXU6
QjbGz/0wAONo19R/z4oqccNI1USmGBocuNtzFaIbsXVohaJpJm6cJMQ6dYqJbWZD
C0m8Va+8fx3xjFs/MckvymPbNCSxsycSkiwBNLM0atNiBnRRr5rLHwOlXDarOkaL
sAYPA/EctZq4Mg380dFpDC1mqzjQvXRQ9Z9z/MD75b06EwYY4L/Yb+F92S5BhagM
pSxfIJF7VTmA9de2PE67fhoQOXGg48fS2XE2uKDMuE1U/rQIYzAw3twFJNXiCZ3j
F3uo8pjAy1kWY4uh9KwQ2zXEXSYjJOVDu2eX7Q+ZJDsCAwEAAaNQME4wHQYDVR0O
BBYEFCJwA3yljcHQ917eLcEh1kIzGIE1MB8GA1UdIwQYMBaAFCJwA3yljcHQ917e
LcEh1kIzGIE1MAwGA1UdEwQFMAMBAf8wDQYJKoZIhvcNAQEFBQADggEBAMSUBJc8
LGLuRvhpqBfUcuHuQzzMM4Xw9x2pEcBAocu6wijvYZt1ATI6zzxC6213BT63ei4W
UzXPYUjC70BGqQu4lhFKRECl48BLJzELayS6Lh+teYmSIdXc3DNsK9L/T19deeC5
iHjkD76z6YPjsPpLyo3TkCi2Ebz+oNkCXQYCZsI0QToTuMuYyL+bsDyFmWTRlvx2
KGZe3pdbMLZW4QSHoN6h0rSpgYKi6vdKbPzLcFEko1oYUwFCHDENvqVfZdMEuauA
W58UChLDu+5bVdldYrmXkZ+u/PiSCsIVKvfCZ+JlgJR4wX+4YgICl5FbRhD/qg2l
S791sxe9mHZeByk=
-----END CERTIFICATE-----');

class MixiSignatureMethod extends OAuthSignatureMethod_RSA_SHA1{

	protected function fetch_public_cert(&$request){
		return PUBLIC_KEY_PC_TOP;
	}

	protected function fetch_private_cert(&$request){
		return;
	}
}

if(isset($_POST["oauth_signature"])){

	// Build a request object from the current request
	$request = OAuthRequest::from_request();

	// Initialize the new signature method
	$signatureMethod = new MixiSignatureMethod();

	// Check the request signature
	$signature = $_POST["oauth_signature"];
	$signatureValid = $signatureMethod->check_signature($request, null, null, $signature);

	$msg = ($signatureValid) ? 'OK' : 'NG';

}else $msg = '未検証';

?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <title>はじめてのmixiアプリ</title>
  </head>
  <body>
    <div>
      はじめてのmixiアプリ
    </div>
    <div>
      署名検証:<?=h( $msg )?>
    </div>
    <ul>
      <li><a href="user-auth.php">ユーザ認可</a></li>
      <li><a href="graph-people-get.php">自分の情報を取得</a></li>
      <li><a href="graph-people-get.php?groupId=@friends">友人の情報を取得</a></li>
      <li><a href="payment.php">課金API</a></li>
    </ul>
    <div>
      <a href="start.php">top</a>
    </div>
  </body>
</html>
